import Vue, { CreateElement } from "vue";
import { DiffFile } from "../vms";
/**
 * 文本比较
 */
export declare class YtdDiff extends Vue {
    /** 文件A */
    fileA: DiffFile;
    /** 文件B */
    fileB: DiffFile;
    id: string;
    viewType: "并排" | "单列";
    readonly viewTypeNumber: 0 | 1;
    onFileAChanged(): void;
    onFileBChanged(): void;
    onViewTypeChanged(): void;
    mounted(): void;
    renderDiff(): void;
    render(h: CreateElement): JSX.Element;
}
