import { Vue } from "vue-property-decorator";
import { CreateElement } from "vue";
/**
 * 图标上传
 */
export declare class YtdIconUpload extends Vue {
    /** 图标文件ID */
    value: string;
    /** 描述文字 */
    text: string;
    /** 类型 */
    type: "picture" | "canvas";
    /** 简单模式，只有上传按钮，没有预览 */
    simple: boolean;
    /** 宽度 */
    width: number;
    /** 高度 */
    height: number;
    private id;
    private loading;
    onTypeChanged(): void;
    onValueChanged(): void;
    mounted(): void;
    /**
     * 加载CANVAS
     */
    private initCanvas;
    /**
     * 图标文件上传成功
     * @param result
     * @param file
     */
    private onPictureUpload;
    render(h: CreateElement): JSX.Element;
}
