import { Vue } from "vue-property-decorator";
import { PageFilter } from "@ytd/fe-core";
import { CreateElement } from "vue";
/**
 * 分页
 */
export declare class YtdPagination extends Vue {
    /**
     * 分页参数
     */
    page: PageFilter;
    /**
     * '每页条数'下拉列表
     */
    pageSizes: Array<number>;
    /**
     * 显示的页码按钮的数量
     */
    pagerCount: number;
    /**
     * 布局
     */
    layout: string;
    /**
     *
     * @param currentPage
     */
    handleCurrentChange(currentPage: number): void;
    /**
     *
     * @param pageSize
     */
    handleSizeChange(pageSize: number): void;
    render(h: CreateElement): JSX.Element;
}
