import { Vue } from "vue-property-decorator";
import { CreateElement } from "vue";
/**
 * 搜索
 */
export declare class YtdSearch extends Vue {
    value: string;
    placeholder: string;
    /** 是否禁用 */
    disabled: boolean;
    /**
     * 是否在触发 'clear' 事件的时候，同时触发 'search' 事件；
     */
    triggerSearchOnClear: boolean;
    /**
     * 是否在 value 改变时实时触发 'search' 事件，
     * 而不需要'回车'或者'点击搜索按钮'
     */
    realTime: boolean;
    onValueChanged(value: string, oldValue: string): void;
    private handleValueChange;
    /**
     * 点击清除按钮
     */
    private handleClearButtonClick;
    /**
     * 点击搜索按钮
     */
    private handleSearchButtonClick;
    render(h: CreateElement): JSX.Element;
}
