import { Vue } from "vue-property-decorator";
import { Tooltip } from "element-ui";
import { CreateElement } from "vue";
import { StatusEnum } from "@ytd/fe-core";
/**
 * 资源状态
 */
export declare class YtdTripleStatus extends Vue {
    /** 状态 */
    value: StatusEnum;
    /** 按钮尺寸 */
    size?: "small" | "large";
    /** 是否禁用 */
    disabled?: boolean;
    $refs: {
        ytdTripleStatusTooltipRef: Tooltip & {
            hide(): void;
        };
    };
    private readonly booleanValue;
    /**
     * 切换'启用'和'禁用'
     * @param value
     */
    private handleChange;
    render(h: CreateElement): JSX.Element;
}
