import "jquery-slimscroll";
import { Menu } from "element-ui";
import "../../types/element-ui";
import { Vue } from "vue-property-decorator";
import { MenuDTO } from "@ytd/fe-core";
import { CreateElement } from "vue";
/**
 * 左侧菜单
 */
export declare class YtdLayoutAside extends Vue {
    /** 自定义属性名称 */
    props: {
        children: string;
    };
    /** 所有菜单 */
    menus: Array<MenuDTO>;
    /** 当前激活的菜单ID */
    activeMenuId: string;
    /** 菜单是否折叠 */
    collapse: boolean;
    $refs: {
        menuRef: Menu;
    };
    mounted(): void;
    /**
     * 供外部调用，初始化当前打开的菜单
     */
    initOpenedMenu(): void;
    /**
     * 点击菜单
     * @param menu 菜单
     */
    private handleMenuItemClick;
    render(h: CreateElement): JSX.Element;
}
