import { mavonEditor as MavonEditor } from "mavon-editor";
import { Vue } from "vue-property-decorator";
import { CreateElement } from "vue";
import { IYtdMarkdownToolbar } from "./vms/IYtdMarkdownToolbar";
/**
 * markdown 编辑器
 */
export declare class YtdMarkdown extends Vue {
    /** 内容 */
    value: string;
    /** 图片上传接口地址 */
    action: string;
    /** 占位符号 */
    placeholder: string;
    /** 是否可以编辑 */
    editable: boolean;
    /** 工具按钮 */
    toolbars: IYtdMarkdownToolbar;
    $refs: {
        mavonEditorRef: MavonEditor;
    };
    /**
     * 内容发生变更
     * @param value 当前内容
     */
    private handleMavonEditorChange;
    /**
     * 插入图片
     * @param index 索引
     * @param file 图片文件
     */
    private handleMavonEditorImgAdd;
    render(h: CreateElement): JSX.Element;
}
