import { Vue } from "vue-property-decorator";
import { Form } from "element-ui";
import { ActionService, RESOURCE_TYPE } from "@ytd/fe-core";
import { CreateElement } from "vue";
import { SaveActionVO } from "./vms/SaveActionVO";
export declare class YtdActionPageSaveActionDialog extends Vue {
    visible: boolean;
    /**
     * 表单模型
     */
    formModel: SaveActionVO;
    /** 资源类型列表 */
    resourceTypes: Partial<typeof RESOURCE_TYPE>;
    actionService: ActionService;
    $refs: {
        formRef: Form;
    };
    private dialogVisible;
    /**
     * 是否编辑（否则添加）
     */
    private readonly isEditing;
    /**
     * 关闭弹窗
     */
    private handleDialogClose;
    /**
     *
     */
    private handleOk;
    render(h: CreateElement): JSX.Element;
}
