import { Vue } from "vue-property-decorator";
import { Form as ElForm } from "element-ui";
import { DomainPopedomService } from "@ytd/fe-core";
import { DomainTreeNode, IYtdPopedomPageSaveDomainPopedomSelectDomainDialogProp, SaveDomainPopedomVO } from "../../../vms/index";
export default class YtdPopedomPageSaveDomainPopedomDialog extends Vue {
    /**
     * 弹窗属性
     */
    dialogProp: {
        visible: boolean;
    };
    /**
     * 表单模型
     */
    formModel: SaveDomainPopedomVO;
    /**
     * 领域树节点
     */
    domainNodes: DomainTreeNode[];
    domainPopedomService: DomainPopedomService;
    ytdPopedomPageSaveDomainPopedomSelectDomainDialogProp: IYtdPopedomPageSaveDomainPopedomSelectDomainDialogProp;
    /**
     * 是否编辑（否则添加）
     */
    readonly isEdit: string;
    /**
     * 打开弹窗
     */
    handleDialogOpen(): void;
    /**
     * 关闭弹窗
     */
    handleDialogClose(): void;
    /**
     *
     */
    handleDialogCancel(): void;
    /**
     *
     */
    handleDialogOk(): void;
    reset(): void;
    /**
     * 打开'选择领域'弹窗
     */
    openSelectDomainDialog(): void;
    handleYtdPopedomPageSaveDomainPopedomSelectDomainDialogClose(scope: string): void;
    $refs: {
        formRef: ElForm;
    };
}
