import { Vue } from "vue-property-decorator";
import { Form } from "element-ui";
import { SaveRoleVO } from "../../../vms/index";
import { RoleService, RoleTypeEnum } from "@ytd/fe-core";
import { CreateElement } from "vue";
/**
 * 角色管理：添加&编辑角色
 */
export declare class YtdRolePageSaveRoleDialog extends Vue {
    /** 弹窗属性 */
    dialogProp: {
        visible: boolean;
    };
    /** 表单模型 */
    formModel: SaveRoleVO;
    roleService: RoleService;
    RoleTypeEnum: typeof RoleTypeEnum;
    /**
     * 是否编辑（否则添加）
     */
    readonly isEdit: string;
    /**
     * 关闭弹窗
     */
    handleDialogClose(): void;
    /**
     *
     */
    handleDialogCancel(): void;
    /**
     *
     */
    handleDialogOk(): void;
    reset(): void;
    render(h: CreateElement): JSX.Element;
    $refs: {
        formRef: Form;
    };
}
