import Vue, { CreateElement } from "vue";
import { YtdQuneeWindowPlacementEnum } from "../../vms/index";
/** 拓扑图：窗口 */
export declare class YtdQuneeWindow extends Vue {
    readonly name: string;
    /** 是否显示 */
    visible: boolean;
    /** 标题 */
    title: string;
    /** 位置 */
    placement: YtdQuneeWindowPlacementEnum;
    /** 是否可以手动关闭 */
    closable: boolean;
    /** 图标类名 */
    iconClass: string;
    style: string;
    /**
     * 关闭
     */
    close(): void;
    render(h: CreateElement): JSX.Element;
}
