import { Vue } from "vue-property-decorator";
import { Table as ElTable } from "element-ui";
import { SaveWorkflowNodeRO } from "../../../vms";
import { AppAccountService, IdNameDTO } from "@ytd/fe-core";
export default class YtdWorkflowSaveNodeDialogTag extends Vue {
    /** 表单模型 */
    formModel: SaveWorkflowNodeRO;
    appAccountService: AppAccountService;
    /** 应用ID */
    appId: string;
    /** 流程是否发布 */
    isReleased: boolean;
    /** 标签列表 */
    tags: Array<IdNameDTO>;
    onAppIdChanged(): void;
    /**
     * 加载标签列表
     */
    loadTags(): Promise<void>;
    /**
     * 勾选标签
     * @param selectedTags
     */
    handleTagTableSelect(selectedTags: Array<IdNameDTO>): void;
    /**
     * 重置数据
     */
    reset(): void;
    $refs: {
        refYtdWorkflowSaveNodeDialogTagTable: ElTable;
    };
}
