/**
 * 常量
 */
declare const Consts: {
    IMAGE_ADJUST_FLIP: string;
    IMAGE_ADJUST_MIRROR: string;
    SELECTION_TYPE_BORDER_RECT: string;
    SELECTION_TYPE_BORDER: string;
    SELECTION_TYPE_SHADOW: string;
    NS_SVG: string;
    PROPERTY_TYPE_ACCESSOR: number;
    PROPERTY_TYPE_STYLE: number;
    PROPERTY_TYPE_CLIENT: number;
    EDGE_TYPE_DEFAULT: null;
    EDGE_TYPE_ELBOW: string;
    EDGE_TYPE_ELBOW_HORIZONTAL: string;
    EDGE_TYPE_ELBOW_VERTICAL: string;
    EDGE_TYPE_ORTHOGONAL: string;
    EDGE_TYPE_ORTHOGONAL_HORIZONTAL: string;
    EDGE_TYPE_ORTHOGONAL_VERTICAL: string;
    EDGE_TYPE_HORIZONTAL_VERTICAL: string;
    EDGE_TYPE_VERTICAL_HORIZONTAL: string;
    EDGE_TYPE_EXTEND_TOP: string;
    EDGE_TYPE_EXTEND_LEFT: string;
    EDGE_TYPE_EXTEND_BOTTOM: string;
    EDGE_TYPE_EXTEND_RIGHT: string;
    EDGE_TYPE_ZIGZAG: string;
    EDGE_CORNER_NONE: string;
    EDGE_CORNER_ROUND: string;
    EDGE_CORNER_BEVEL: string;
    GROUP_TYPE_RECT: string;
    GROUP_TYPE_CIRCLE: string;
    GROUP_TYPE_ELLIPSE: string;
    SHAPE_CIRCLE: string;
    SHAPE_RECT: string;
    SHAPE_ROUNDRECT: string;
    SHAPE_STAR: string;
    SHAPE_TRIANGLE: string;
    SHAPE_HEXAGON: string;
    SHAPE_PENTAGON: string;
    SHAPE_TRAPEZIUM: string;
    SHAPE_RHOMBUS: string;
    SHAPE_PARALLELOGRAM: string;
    SHAPE_HEART: string;
    SHAPE_DIAMOND: string;
    SHAPE_CROSS: string;
    SHAPE_ARROW_STANDARD: string;
    SHAPE_ARROW_1: string;
    SHAPE_ARROW_2: string;
    SHAPE_ARROW_3: string;
    SHAPE_ARROW_4: string;
    SHAPE_ARROW_5: string;
    SHAPE_ARROW_6: string;
    SHAPE_ARROW_7: string;
    SHAPE_ARROW_8: string;
    SHAPE_ARROW_OPEN: string;
    LINE_CAP_TYPE_BUTT: string;
    LINE_CAP_TYPE_ROUND: string;
    LINE_CAP_TYPE_SQUARE: string;
    LINE_JOIN_TYPE_BEVEL: string;
    LINE_JOIN_TYPE_ROUND: string;
    LINE_JOIN_TYPE_MITER: string;
    SEGMENT_MOVE_TO: string;
    SEGMENT_LINE_TO: string;
    SEGMENT_QUAD_TO: string;
    SEGMENT_CURVE_TO: string;
    SEGMENT_ARC_TO: string;
    SEGMENT_CLOSE: string;
    BLEND_MODE_DARKEN: string;
    BLEND_MODE_MULTIPLY: string;
    BLEND_MODE_COLOR_BURN: string;
    BLEND_MODE_LINEAR_BURN: string;
    BLEND_MODE_LIGHTEN: string;
    BLEND_MODE_SCREEN: string;
    BLEND_MODE_GRAY: string;
    INTERACTION_MODE_VIEW: string;
    INTERACTION_MODE_DEFAULT: string;
    INTERACTION_MODE_SELECTION: string;
    INTERACTION_MODE_ZOOMIN: string;
    INTERACTION_MODE_ZOOMOUT: string;
    INTERACTION_MODE_CREATE_SIMPLE_EDGE: string;
    INTERACTION_MODE_CREATE_EDGE: string;
    INTERACTION_MODE_CREATE_SHAPE: string;
    INTERACTION_MODE_CREATE_LINE: string;
    DIRECTION_RIGHT: number;
    DIRECTION_LEFT: number;
    DIRECTION_CENTER: number;
    DIRECTION_BOTTOM: number;
    DIRECTION_TOP: number;
    DIRECTION_MIDDLE: number;
    DIRECTION_RIGHT_TOP: number;
    DIRECTION_RIGHT_BOTTOM: number;
    DIRECTION_LEFT_TOP: number;
    DIRECTION_LEFT_BOTTOM: number;
    DIRECTION_BOTTOM_LEFT: number;
    DIRECTION_BOTTOM_RIGHT: number;
    DIRECTION_TOP_LEFT: number;
    DIRECTION_TOP_RIGHT: number;
    LAYOUT_TYPE_EVEN: string;
    LAYOUT_TYPE_EVEN_HORIZONTAL: string;
    LAYOUT_TYPE_EVEN_VERTICAL: string;
    LAYOUT_TYPE_TWO_SIDE: string;
    ANGLE_SPACING_PROPORTIONA: string;
    ANGLE_SPACING_REGULAR: string;
    RADIUS_MODE_UNIFORM: string;
    RADIUS_MODE_VARIABLE: string;
};
export { Consts };
