import { ActionService, RESOURCE_TYPE } from "@ytd/fe-core";
import { SaveActionVO } from "../../components/pages/action/vms/SaveActionVO";
/**
 * YtdActionPageSaveActionDialog 组件属性（props)
 */
export interface IYtdActionPageSaveActionDialogProp {
    visible: boolean;
    /**
     * 表单模型
     */
    formModel: SaveActionVO;
    actionService: ActionService;
    /**
     * 资源类型列表
     */
    resourceTypes: Partial<typeof RESOURCE_TYPE>;
}
