import { WorkflowDTO, WorkflowService } from "@ytd/fe-core";
import { SaveWorkflowEdgeRO } from "..";
import { Q } from "../../lib/qunee";
/**
 * YtdWorkflowSaveEdgeDialog 组件属性（props)
 */
export interface IYtdWorkflowSaveEdgeDialogProp {
    /** 弹窗（ElDialog）属性 */
    dialogProp: {
        visible: boolean;
    };
    /** 表单模型 */
    formModel: SaveWorkflowEdgeRO;
    edgeElement: Q.Edge;
    workflow: WorkflowDTO;
    workflowService: WorkflowService;
}
