import { SaveWorkflowNodeRO } from "..";
import { AppAccountRoleService, AppAccountService, RoleService, WorkflowDTO, WorkflowService } from "@ytd/fe-core";
/**
 * YtdWorkflowSaveNodeDialog 组件属性（props)
 */
export interface IYtdWorkflowSaveNodeDialogProp {
    /** 弹窗（ElDialog）属性 */
    dialogProp: {
        visible: boolean;
    };
    /** 表单模型 */
    formModel: SaveWorkflowNodeRO;
    workflow: WorkflowDTO;
    workflowService: WorkflowService;
    roleService: RoleService;
    appAccountService: AppAccountService;
    appAccountRoleService: AppAccountRoleService;
}
