/**
 * @author luotao 2017-12-18
 */
import { AddWorkflowRO, UpdateWorkflowRO, WorkflowDTO } from "@ytd/fe-core";
/**
 * 添加&编辑流程定义VO
 */
export declare class SaveWorkflowVO implements AddWorkflowRO, UpdateWorkflowRO {
    id: string;
    name: string;
    status: number;
    notes: string;
    tag: string;
    url: string;
    nodes: Array<WorkflowDTO.NodeDTO>;
    edges: Array<WorkflowDTO.EdgeDTO>;
    rules: Array<WorkflowDTO.Rule>;
    constructor(id?: string, name?: string, status?: number, notes?: string, tag?: string, url?: string, nodes?: Array<WorkflowDTO.NodeDTO>, edges?: Array<WorkflowDTO.EdgeDTO>, rules?: Array<WorkflowDTO.Rule>);
}
