import { Map, TileLayer } from "leaflet";
import { Vue } from "vue-property-decorator";
import { CreateElement } from "vue";
/**
 * 经纬坐标选取
 */
export declare class YtdCoordinatePicker extends Vue {
    /** 纬度 */
    lat: number | string;
    /** 经度 */
    lng: number | string;
    /** 元素ID */
    id: string;
    localLat: number;
    localLng: number;
    map: Map;
    backgroundTitleLayer: TileLayer;
    computedLat: number;
    computedLng: number;
    onLatChanged(newLat: number | string): void;
    onLngChanged(newLng: number | string): void;
    handlePopoverShow(): void;
    handlePopoverHide(): void;
    render(h: CreateElement): JSX.Element;
}
