import { Vue } from "vue-property-decorator";
import { HttpClient, RESOURCE_TYPE } from "@ytd/fe-core";
import { CreateElement } from "vue";
/**
 * 动作管理
 */
export declare class YtdActionPage extends Vue {
    httpClient: HttpClient;
    /** 资源类型列表 */
    resourceTypes: Partial<typeof RESOURCE_TYPE>;
    /** 动作服务 */
    private actionService;
    /** 应用账户 */
    private appAccount;
    /** 选中的资源类型 */
    private resourceType;
    /** 动作列表 */
    private actions;
    private loading;
    private ytdActionPageSaveActionDialogProp;
    mounted(): void;
    /**
     * 分页查询动作
     */
    private pageAction;
    private handleResourceTypeChange;
    private openSaveActionDialog;
    private handleYtdActionPageSaveActionDialogClose;
    /**
     * 切换状态
     * @param action
     */
    private toggleStatus;
    /**
     * 删除动作
     * @param action
     */
    private deleteAction;
    render(h: CreateElement): JSX.Element;
}
