import { Vue } from "vue-property-decorator";
import { Tree as ElTree } from "element-ui";
import { DomainTreeNode, SelectDomainVO } from "../../../vms/index";
export default class YtdPopedomPageSaveDomainPopedomSelectDomainDialog extends Vue {
    /**
     * 弹窗属性
     */
    dialogProp: {
        visible: boolean;
    };
    /**
     * 表单模型
     */
    formModel: SelectDomainVO;
    /**
     * 选中的区域节点
     * @type {DomainTreeNode}
     */
    selectedDomainNode: DomainTreeNode;
    defaultExpandedKeys: Array<string>;
    /**
     * 过滤关键字
     */
    key: string;
    onKeyChanged(key: string): void;
    onSelectedIdChanged(selectId: string): void;
    /**
     * 打开弹窗
     */
    handleDialogOpen(): void;
    /**
     * 关闭弹窗
     */
    handleDialogClose(): void;
    /**
     *
     */
    handleDialogCancel(): void;
    /**
     *
     */
    handleDialogOk(): void;
    /**
     * 过滤节点
     * @param {string} key
     * @param {DomainTreeNode} domainTreeNode
     * @returns {boolean}
     */
    filterNode(key: string, domainTreeNode: DomainTreeNode): boolean;
    reset(): void;
    handleCurrentChange(domainTreeNode: DomainTreeNode): void;
    $refs: {
        domainTree: ElTree;
    };
}
