import { Vue } from "vue-property-decorator";
import { CreateElement } from "vue";
import { IdNameDTO, OrgDTO } from "@ytd/fe-core";
import { YtdUserPageHeaderOrg } from "./YtdUserPageHeaderOrg";
/**
 * 用户管理：头部
 */
export declare class YtdUserPageHeader extends Vue {
    filter: {
        key: string;
        org: IdNameDTO;
    };
    ytdUserPageHeaderOrgProp: {
        visible: boolean;
    };
    handleSearch(): void;
    handleOpenOrgDialog(): void;
    handleOrgChange(org: OrgDTO): void;
    handleOrgClear(): void;
    render(h: CreateElement): JSX.Element;
    $refs: {
        refYtdUserPageHeaderOrg: YtdUserPageHeaderOrg;
    };
}
