import { Vue } from "vue-property-decorator";
import { CreateElement } from "vue";
import { VueContext } from "vue-context";
import { IYtdContextMenu } from "../../vms";
/**
 * 右键菜单
 */
export declare class YtdContextMenu extends Vue {
    /** 菜单列表 */
    menus: Array<IYtdContextMenu>;
    $refs: {
        contextMenuRef: VueContext;
    };
    mounted(): void;
    /**
     * 打开右键菜单
     * @param e 鼠标事件对象
     */
    open(e: MouseEvent): void;
    /**
     * 关闭右键菜单
     */
    close(): void;
    /**
     * 鼠标滚轮滚动
     * @param e 滚动事件
     */
    private handleWindowWheel;
    /**
     * 点击右键菜单
     * @param menu 右键菜单
     */
    private handleClick;
    render(h: CreateElement): JSX.Element;
}
