/**
 * 指令：内联弹窗
 *
 * 项目添加了多标签导航栏组件（YtdLayoutTab）之后，所有的弹窗都应该使用该指令，
 * 从而使得弹窗的遮罩层只会遮盖标签内容区域，不影响其他标签的切换；
 *
 * @example
 *     <Dialog v-inline-modal>
 *
 * @author luotao 2018-08-27
 */
import { IDirective } from "./IDirective";
declare const VInlineModal: IDirective;
export { VInlineModal };
