/**
 * @author luotao 2017-11-13
 */
import Vue, { VueConstructor } from "vue";
import "./assets/styles/index.scss";
import { IInstallOption } from "./vms";
import "./types/element-ui";
import "./types/mavon-editor";
import "./types/jquery-slimscroll";
import "./types/vue-context";
export * from "./vms";
export * from "./store";
export { Q } from "./lib/qunee";
/**
 * 此处输出的组件可以单独引用
 * @example
 *   import { YtdSearch } from '@ytd/fe-vue';
 */
export * from "./components";
declare const _default: {
    install: (vue: VueConstructor<Vue>, options?: IInstallOption) => void;
};
/**
 * 默认输出，用于安装插件
 * @example
 *   import YtdVue from '@ytd/fe-vue';
 *   Vue.use(YtdVue, {});
 */
export default _default;
