import { DomainPopedomService } from "@ytd/fe-core";
import { DomainTreeNode } from "../model/DomainTreeNode";
import { SaveDomainPopedomVO } from "../vo/SaveDomainPopedomVO";
/**
 * YtdPopedomPageSaveDomainPopedomDialog 组件属性（props)
 */
export interface IYtdPopedomPageSaveDomainPopedomDialogProp {
    domainPopedomService: DomainPopedomService;
    /** 弹窗（ElDialog）属性 */
    dialogProp: {
        visible: boolean;
    };
    /** 表单模型 */
    formModel: SaveDomainPopedomVO;
    domainNodes: DomainTreeNode[];
}
